#ifndef KARAMBASAVERCFG_H
#define KARAMBASAVERCFG_H

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qlineedit.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qurl.h>

#include <klocale.h>
#include <kdialog.h>
#include <ksimpleconfig.h>
#include <kstandarddirs.h>
#include <kfiledialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QPushButton;
class QLineEdit;
class QLabel;

class karambasaverUI : public QDialog
{
    Q_OBJECT

public:
    karambasaverUI( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~karambasaverUI();

    QPushButton* OkayPushButton;
    QPushButton* CancelPushButton;
    QPushButton* browse;
    QLineEdit* dTheme;
    QString theme;
    QString Dir;
    QLabel* themeLabel;

protected:
    QGridLayout* Layout2;
    QHBoxLayout* Layout1;

protected slots:
    virtual void languageChange();
    void readSettings();
    void selDefaultTheme();
};

#endif // KARAMBASAVERCFG_H
