// karambasaver - Screensaver Template from KDevelop
//
// Copyright (c)  Ian Reinhart Geiser
//

#ifndef __karambasaver_H__
#define __karambasaver_H__

#include <stdlib.h>
#include <kapplication.h>
#include <klocale.h>
#include <kconfig.h>
#include <qcheckbox.h>
#include <qcolor.h>
#include <kglobal.h>
#include <ksimpleconfig.h>
#include <karamba/karamba.h>
#include <kaboutdata.h>

#include "kscreensaver.h"
#include "karambasaverui.h"

class karambasaver : public KScreenSaver
{
    Q_OBJECT
public:
    karambasaver( WId drawable );
    virtual ~karambasaver();
private:
    void readSettings();
    void blank();
    karamba* k;
    QString theme;
};

class karambasaverSetup : public karambasaverUI
{
    Q_OBJECT
public:
    karambasaverSetup( QWidget *parent = NULL, const char *name = NULL );

private slots:
    void slotOkPressed();
    void slotCancelPressed();

private:
    karambasaver *saver;
    QString theme;
};

#endif
